Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.jmx
Class JMXAgent

    java.lang.Object
      org.red5.server.jmx.JMXAgent

All Implemented Interfaces:
  EventListener, NotificationListener

    public class JMXAgent

extends Object
implements NotificationListener

Provides the connection adapters as well as registration and unregistration of MBeans.

Author:
  The Red5 Project (red5@osflash.org), Paul Gregoire (mondain@gmail.com)

Constructor Summary
`JMXAgent()`

Method Summary
`void` | `handleNotification(Notification notification, Object handback)`
`void` | `init()`
`static boolean` | `isEnableMinaMonitor()`
`static boolean` | `registerMBean(Object instance, String className, Class interfaceClass)`
`static boolean` | `registerMBean(Object instance, String className, Class interfaceClass, ObjectName name)`
`static boolean` | `registerMBean(Object instance, String className, Class interfaceClass, String name)`
`void` | `setEnableMinaMonitor(boolean enableMinaMonitor)`
`void` | `setEnableMinaMonitor(String enableMinaMonitor)`
`void` | `setEnableRmiAdapter(boolean enableRmiAdapter)`
`void` | `setEnableRmiAdapter(String enableRmiAdapterString)`
`void` | `setEnableSsl(boolean enableSsl)`
`void` | `setEnableSsl(String enableSslString)`
`void` | `setRemoteAccessProperties(String remoteAccessProperties)`
`void` | `setRemotePasswordProperties(String remotePasswordProperties)`
`void` | `setRemoteSSLKeystore(String remoteSSLKeystore)`
`void` | `setRemoteSSLKeystorePass(String remoteSSLKeystorePass)`
`void` | `setRmiAdapterHost(String rmiAdapterHost)`
`void` | `setRmiAdapterPort(String rmiAdapterPort)`
`void` | `setRmiAdapterRemotePort(String rmiAdapterRemotePort)`
`void` | `setStartRegistry(boolean startRegistry)`
`static void` | `shutdown()` Shuts down any instanced connectors.
`static String` | `trimClassName(String className)` Convenience to remove packages etc from a class name.
`static boolean` | `unregisterMBean(ObjectName oName)` Unregisters an mbean instance.
`static boolean` | `updateMBeanAttribute(ObjectName oName, String key, int value)` Updates a named attribute of a registered mbean.
`static boolean` | `updateMBeanAttribute(ObjectName oName, String key, String value)` Updates a named attribute of a registered mbean.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JMXAgent

    public JMXAgent()

Method Detail

### trimClassName

    public static String trimClassName(String className)

  Convenience to remove packages etc from a class name.

  Parameters:
    `className` - class name to trim
  Returns:
    trimmed class name

### registerMBean

    public static boolean registerMBean(Object instance,
                                        String className,
                                        Class interfaceClass)

### registerMBean

    public static boolean registerMBean(Object instance,
                                        String className,
                                        Class interfaceClass,
                                        ObjectName name)

### registerMBean

    public static boolean registerMBean(Object instance,
                                        String className,
                                        Class interfaceClass,
                                        String name)

### shutdown

    public static void shutdown()

  Shuts down any instanced connectors.

### unregisterMBean

    public static boolean unregisterMBean(ObjectName oName)

  Unregisters an mbean instance. If the instance is not found or if a failure occurs, false will be returned.

  Parameters:
    `oName` - bean instance
  Returns:
    true if success; false if instance not found or failure

### updateMBeanAttribute

    public static boolean updateMBeanAttribute(ObjectName oName,
                                               String key,
                                               int value)

  Updates a named attribute of a registered mbean.

  Parameters:
    `oName` - object name
    `key` - key
    `value` - new value
  Returns:
    true if success; false othwerwise

### updateMBeanAttribute

    public static boolean updateMBeanAttribute(ObjectName oName,
                                               String key,
                                               String value)

  Updates a named attribute of a registered mbean.

  Parameters:
    `oName` - object name
    `key` - key
    `value` - new value
  Returns:
    true if success; false otherwise

### handleNotification

    public void handleNotification(Notification notification,
                                   Object handback)

  Specified by:
    `handleNotification` in interface `NotificationListener`

### init

    public void init()

### setEnableRmiAdapter

    public void setEnableRmiAdapter(boolean enableRmiAdapter)

### setEnableRmiAdapter

    public void setEnableRmiAdapter(String enableRmiAdapterString)

### setEnableSsl

    public void setEnableSsl(boolean enableSsl)

### setEnableSsl

    public void setEnableSsl(String enableSslString)

### setRemoteAccessProperties

    public void setRemoteAccessProperties(String remoteAccessProperties)

### setRemotePasswordProperties

    public void setRemotePasswordProperties(String remotePasswordProperties)

### setRemoteSSLKeystore

    public void setRemoteSSLKeystore(String remoteSSLKeystore)

### setRemoteSSLKeystorePass

    public void setRemoteSSLKeystorePass(String remoteSSLKeystorePass)

### setRmiAdapterRemotePort

    public void setRmiAdapterRemotePort(String rmiAdapterRemotePort)

### setRmiAdapterPort

    public void setRmiAdapterPort(String rmiAdapterPort)

### setRmiAdapterHost

    public void setRmiAdapterHost(String rmiAdapterHost)

### setStartRegistry

    public void setStartRegistry(boolean startRegistry)

### setEnableMinaMonitor

    public void setEnableMinaMonitor(boolean enableMinaMonitor)

### setEnableMinaMonitor

    public void setEnableMinaMonitor(String enableMinaMonitor)

### isEnableMinaMonitor

    public static boolean isEnableMinaMonitor()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project